'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.TrafficLights = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactcss = require('reactcss');

var _reactcss2 = _interopRequireDefault(_reactcss);

var _electron = require('electron');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var TrafficLights = exports.TrafficLights = function TrafficLights(_ref) {
  var background = _ref.background,
      color = _ref.color,
      boxShadow = _ref.boxShadow,
      hover = _ref.hover,
      minimizeOnClose = _ref.minimizeOnClose;

  var styles = (0, _reactcss2.default)({
    'default': {
      traffic: {
        display: 'flex',
        justifyContent: 'space-between',
        width: 50
      },
      light: {
        width: 12,
        height: 12,
        borderRadius: 6,
        background: background,
        boxShadow: boxShadow,
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center'
      },
      icon: {
        fill: color,
        opacity: 0
      }
    },
    'hover': {
      icon: {
        opacity: 1
      }
    }
  }, { hover: hover });

  var electron = _electron.remote.getCurrentWindow();
  var handleClose = function handleClose() {
    return minimizeOnClose ? electron.minimize() : electron.close();
  };
  var handleMin = function handleMin() {
    return electron.minimize();
  };
  var handleMax = function handleMax() {
    return electron.setFullScreen(!electron.isFullScreen());
  };

  return _react2.default.createElement(
    'div',
    { style: styles.traffic },
    _react2.default.createElement(
      'div',
      { style: styles.light, onClick: handleClose },
      _react2.default.createElement(
        'svg',
        { width: '6px', height: '6px', viewBox: '3 3 6 6', style: styles.icon },
        _react2.default.createElement('polygon', { points: '6 5.29289322 3.87867966 3.17157288 3.17157288 3.87867966 5.29289322 6 3.17157288 8.12132034 3.87867966 8.82842712 6 6.70710678 8.12132034 8.82842712 8.82842712 8.12132034 6.70710678 6 8.82842712 3.87867966 8.12132034 3.17157288 6 5.29289322' })
      )
    ),
    _react2.default.createElement(
      'div',
      { style: styles.light, onClick: handleMin },
      _react2.default.createElement(
        'svg',
        { width: '8px', height: '2px', viewBox: '2 5 8 2', style: styles.icon },
        _react2.default.createElement('polygon', { points: '2.5 5.5 9.5 5.5 9.5 6.5 2.5 6.5' })
      )
    ),
    _react2.default.createElement(
      'div',
      { style: styles.light, onClick: handleMax },
      _react2.default.createElement(
        'svg',
        { width: '8px', height: '6px', viewBox: '2 3 8 6', style: styles.icon },
        _react2.default.createElement('path', { d: 'M3,4.5 L7.5,9 L3.99869585,9 C3.44713136,9 3,8.55207109 3,8.00130415 L3,4.5 Z M9,7.5 L4.5,3 L8.00130415,3 C8.55286864,3 9,3.44792891 9,3.99869585 L9,7.5 Z' })
      )
    )
  );
};

TrafficLights.defaultProps = {
  background: '#909095',
  color: '#27272C',
  boxShadow: 'inset 0 0 0 0.5px rgba(0,0,0,0.3)',
  minimizeOnClose: false
};

exports.default = (0, _reactcss.handleHover)(TrafficLights);